%
% anyremote configuration file. A kind of "mega-example".
%

% STATUS unknown
% XTEST no
% SOUND no
% ENV no

GuiAppName=All-in-1
GuiAppType=Custom
GuiAppBinary=true
GuiAppIcon=configure.png
GuiAppProtocols=AT
GuiAppDesc=Manage Amarok, Xmms, KPlayer, TVtime, keyboard and mouse emulation at once

[Protocol]=AT

(Init)=Include($(CfgDir)/Utils/aliases-at.cfg);\
	Macro(SETUP_DEFAULT_MIXER);\
	Make(var,TwoWayComm,by_value,false);\
	Macro(CHECK_RFCOMM_DEVICE);

(Connect)= Make(mode,all-in-1);

Cancel=SendCKPD(E);Exit

* 0=Exec(kdialog -passivepopup "Application chooser" 7);\
	Make(flush);\
        Include($(CfgDir)/AT-mode/all-in-one.cfg);

[Mode]=all-in-1

(EnterMode)=Exec(kdialog -passivepopup "Application chooser" 7);

1=Exec(kdialog -passivepopup "Set mode to Amarok" 7);\
	Make(flush);Include($(CfgDir)/AT-mode/amarok.cfg);\
	Include($(CfgDir)/AT-mode/all-in-one.cfg);

2=Exec(kdialog -passivepopup "Set mode to KPlayer" 7);\
	Make(flush);\
	Include($(CfgDir)/AT-mode/kplayer.cfg);\
	Include($(CfgDir)/AT-mode/all-in-one.cfg);

3=Exec(kdialog -passivepopup "Set mode to TvTime" 7);\
	Make(flush);\
	Include($(CfgDir)/AT-mode/tvtime.cfg);\
	Include($(CfgDir)/AT-mode/all-in-one.cfg);
	
4=Exec(kdialog -passivepopup "Set mode to XMMS" 7);\
	Make(flush);\
	Include($(CfgDir)/AT-mode/xmms.cfg);\
	Include($(CfgDir)/AT-mode/all-in-one.cfg);
	
5=Exec(kdialog -passivepopup "Set mode to Keyboard emulation" 7);\
	Make(flush);\
	Include($(CfgDir)/AT-mode/keyboard.cfg);\
	Include($(CfgDir)/AT-mode/all-in-one.cfg);

6=Exec(kdialog -passivepopup "Set mode to Mouse emulation" 7);\
	Make(flush);\
	Include($(CfgDir)/AT-mode/mouse.cfg);\
	Include($(CfgDir)/AT-mode/all-in-one.cfg);

* *=Exec(F="$HOME/.anyRemote/anyrem.hlp";echo "Choose mode:" > $F;echo "* 0 - Chooser" >> $F;echo "1 - Amarok" >> $F;echo "2 - KPlayer" >> $F;echo "3 - TvTime" >> $F;echo "4 - XMMS" >> $F;echo "5 - Keyboard Emulation" >> $F;echo "6 - Mouse Emulation" >> $F);\
	Macro(SHOW_HELP);

[ModeEnd]

[End]
